#!/bin/bash

echo ""
echo "Away to install npm dependencies for:"
echo "    mirador3"
echo "    mirador-annotations"
echo "    mirador-image-tools"
echo ""

cd mirador-integration-annotations-gitfork \
    && npm install && cd ..


if [ $? = 0 ] ; then
    echo ""
    echo "****"
    echo "* Patching mirador-annotations/es/SimpleAnnotationServerV2Adapter.js"
    echo "****"
    
    cd mirador-integration-annotations-gitfork \
	&& echo "--------" \
	&& diff PATCHED-es-SimpleAnnotationServerV2Adapter.js node_modules/mirador-annotations/es/SimpleAnnotationServerV2Adapter.js \
	&& /bin/cp PATCHED-es-SimpleAnnotationServerV2Adapter.js node_modules/mirador-annotations/es/SimpleAnnotationServerV2Adapter.js \
	&& echo "--------" \
	&& cd .. \
	&& echo ""

    if [ $? = 0 ] ; then
	echo ""
	echo "Now run: "
	echo "    ./NPM-WEBPACK-MIRADOR.sh"
	echo ""
    else
	echo "Failed to successfully run patch for:" 1>&2
	echo "    node_modules/mirador-annotations/es/SimpleAnnotationServerV2Adapter.js" 1>&2
    fi
else
    echo "Encountered an error, and so did not run patch for:" 1>&2
    echo "    node_modules/mirador-annotations/es/SimpleAnnotationServerV2Adapter.js" 1>&2
fi



